Skip to main content
POST
/
api
/
voices
/
clone
Clone voice
curl --request POST \
  --url https://api.upon-ai.com/api/voices/clone \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form workspaceId=123 \
  --form 'voiceProvider=<string>' \
  --form 'voiceName=<string>' \
  --form 'files=<string>' \
  --form files.items='@example-file'
{
  "voiceId": "<string>",
  "name": "<string>",
  "gender": "<string>",
  "language": "<string>",
  "accent": "<string>",
  "description": "<string>",
  "provider": "<string>",
  "previewUrl": "<string>",
  "playbackOverrideUrl": "<string>",
  "tags": [
    "<string>"
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://documentation.uponai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Headers

X-Actor-Type
enum<string>

Optional actor type for privileged white-label context selection.

Available options:
platform_admin,
provider_admin,
tenant_admin,
end_user
X-Provider-Id
integer

Optional provider scope identifier for privileged multi-tenant access.

X-Tenant-Id
integer

Optional tenant/workspace context override.

X-Impersonation-Reason
string

Required for privileged tenant-scoped requests when actor type is platform or provider admin.

Body

multipart/form-data
workspaceId
integer
required
voiceProvider
string
required
voiceName
string
required
files
file[]
required

Response

201 - application/json

Cloned voice metadata.

voiceId
string
required
name
string
required
gender
string
language
string
accent
string
description
string
provider
string
previewUrl
string<uri>
playbackOverrideUrl
string<uri> | null
tags
string[]
createdAt
string<date-time> | null
updatedAt
string<date-time> | null